<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFTextBox (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFTextBox (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTextBox.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyleInfo.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTextBox.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFTextBox.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFSimpleShape">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFTextBox" class="title">Class XSSFTextBox</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                               title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xssf.usermodel.XSSFTextBox</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFTextBox</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></pre>
                <div class="block">Represents a text box in a SpreadsheetML drawing.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html#XSSFTextBox-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">XSSFTextBox</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph--">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-java.lang.String-">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-org.apache.poi.xssf.usermodel.XSSFRichTextString-">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#clearText--">clearText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getBottomInset--">getBottomInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getCTShape--">getCTShape</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getLeftInset--">getLeftInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getRightInset--">getRightInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextAutofit--">getTextAutofit</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextBody--">getTextBody</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextDirection--">getTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextHorizontalOverflow--">getTextHorizontalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextParagraphs--">getTextParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextVerticalOverflow--">getTextVerticalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTopInset--">getTopInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getVerticalAlignment--">getVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getWordWrap--">getWordWrap</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#prototype--">prototype</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setBottomInset-double-">setBottomInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setLeftInset-double-">setLeftInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setRightInset-double-">setRightInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setShapeType-int-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-java.lang.String-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-org.apache.poi.xssf.usermodel.XSSFRichTextString-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextAutofit-org.apache.poi.xssf.usermodel.TextAutofit-">setTextAutofit</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextDirection-org.apache.poi.xssf.usermodel.TextDirection-">setTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextHorizontalOverflow-org.apache.poi.xssf.usermodel.TextHorizontalOverflow-">setTextHorizontalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextVerticalOverflow-org.apache.poi.xssf.usermodel.TextVerticalOverflow-">setTextVerticalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTopInset-double-">setTopInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setVerticalAlignment-org.apache.poi.ss.usermodel.VerticalAlignment-">setVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setWordWrap-boolean-">setWordWrap</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setXfrm-org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D-">setXfrm</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFTextBox-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFTextBox</h4>
                                <pre>protected&nbsp;XSSFTextBox(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                      org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTextBox.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTableStyleInfo.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTextBox.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFTextBox.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFSimpleShape">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li>Method</li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
